-- This file is a part of Falling Block Game 2.
-- 
-- Copyright (C) 2010 Jared Krinke.
-- 
-- Falling Block Game 2 is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

require("UI/UI.lua")

PauseScreen = { }

function PauseScreen.new(board)
    -- Note: Buttons/sound are silent so that sound isn't propagated to the game layer
    local returnButton = Button.new("Return to current game", function()
        Layers.pop()
        board:resetControlPressed()
    end, true)

    local pauseForm = Form.newLeftFlow(1, -250, 100, 500,
        Separator.new(),
        Label.new("Do you want to abandon this game?"),
        Separator.new(),
        returnButton,
        Button.new("Quit current game", function()
            Layers.pop()
            board:endGame(true, true)
            board:exit()
        end, true))

    local pauseScreen = FormLayer.new(pauseForm)

    pauseScreen.propagateAudio = false
    pauseScreen.silent = true

    function pauseScreen.formShown(self)
        pauseForm:focus(returnButton)
    end

    return pauseScreen
end

